<p-table [value]="beardEntries" styleClass="p-datatable p-datatable-responsive-demo">
    <ng-template pTemplate="header">
        <tr>
            <th pSortableColumn="Date">Datum <p-sortIcon field="Date"></p-sortIcon></th>
            <th pSortableColumn="Length">Wassertemperatur °C <p-sortIcon field="Length"></p-sortIcon></th>
            <th pSortableColumn="TimeSpan">Lufttemperatur °C <p-sortIcon field="TimeSpan"></p-sortIcon></th>
            <th pSortableColumn="Brand">Filter rückgespült Min. <p-sortIcon field="Brand"></p-sortIcon></th>
            <th pSortableColumn="Tool">gem. PH Wert <p-sortIcon field="Tool"></p-sortIcon></th>
            <th pSortableColumn="ShaveType">gem. Chlor-Wert <p-sortIcon field="ShaveType"></p-sortIcon></th>
            <th pSortableColumn="Comment">Kommentar <p-sortIcon field="Comment"></p-sortIcon></th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-product>
        <tr (click)="editEntry(product.id)">
            <td>{{product.Date}}</td>
            <td>{{product.Length}}</td>
            <td>{{product.TimeSpan}}</td>
            <td>{{product.Brand}}</td>
            <td>{{product.Tool}}</td>
            <td>{{product.ShaveType}}</td>
            <td>{{product.Comment}}</td>
        </tr>
    </ng-template>
</p-table>